%define lib_major 0
%define lib_name %mklibname djconsole %{lib_major}
%define devel_name %mklibname djconsole -d

Name: libdjconsole
Summary: Libdjconsole - Support for hardware dj consoles
Version: 0.1.3
Release: %mkrel 6
License: LGPL
Group: System/Libraries
Source: http://downloads.sourceforge.net/djplay/%{name}-%{version}.tar.gz
Patch0: libdjconsole-0.1.3-automake-1.13.patch
Patch1: libdjconsole-0.1.3-udev-rules-dir.patch
URL: http://djplay.sourceforge.net/
BuildRequires: pkgconfig(libusb) >= 0.1.1
BuildRequires: sed
Requires: %{lib_name} = %{version}

%description
libdjconsole - Support for hardware dj consoles

%files
%dir %_datadir/libdjconsole
%_datadir/libdjconsole/*
%{_udevrulesdir}/45-hpdjconsole.rules

#--------------------------------------------------------------------

%package -n %{lib_name}
Summary:  %{summary}
Group: %{group}

%description -n %{lib_name}
libdjconsole - Support for hardware dj consoles

%files -n %{lib_name}
%_libdir/libdjconsole.so.%{lib_major}*

#--------------------------------------------------------------------

%package -n %{devel_name}
Summary:  %{summary}
Group: Development/C++
Provides: %{name}-devel = %{version}
Requires: %{lib_name} = %{version}
Obsoletes: %{lib_name}-devel

%description -n %{devel_name}
libdjconsole - Support for hardware dj consoles

%files -n %{devel_name}
%_libdir/pkgconfig/*
%_libdir/*.so
%_includedir/*

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1
%patch1 -p0
sed -i "s,^libdir=.*,libdir=@libdir@,g" libdjconsole.pc.in

%build
autoreconf -fi
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%changelog

* Wed Jan 16 2013 fwang <fwang> 0.1.3-6.mga3
+ Revision: 388548
- correct udev rules dir

* Sat Jan 12 2013 fwang <fwang> 0.1.3-5.mga3
+ Revision: 357166
- fix build with latest automake

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 fwang <fwang> 0.1.3-4.mga3
+ Revision: 300004
- cleanup spec

* Fri Apr 01 2011 dams <dams> 0.1.3-3.mga1
+ Revision: 79491
- Import and clean
- imported package libdjconsole

